Time tracking
Lock time entries
Admin-only. Locks every time entry in the workspace whose started_at is strictly before before.
Locked entries cannot be edited or deleted unless explicitly unlocked.
POST
Bulk-lock time entries before a date (admin)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Body
application/json
unix timestamp in seconds
Example:
1608742037016
Response
Lock applied
Number of entries whose locked state changed as a result of the call.
Example:
42
Previous
Unlock time entriesAdmin-only. Unlocks entries either by date cutoff (`before`) or by an explicit list of `entry_ids`.
Next
Bulk-lock time entries before a date (admin)